Bug 172110 - databases/postgresql9[2,3,4]-server change periodic script [patch]
Summary: databases/postgresql9[2,3,4]-server change periodic script [patch]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: pgsql
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-27 08:40 UTC by dmitry2004
Modified: 2017-05-11 14:36 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.80 KB, patch)
2012-09-27 08:40 UTC, dmitry2004
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dmitry2004 2012-09-27 08:40:02 UTC
periodic script not allow configure pgsql user and port

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-09-27 08:40:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgsql

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Carlo Strub freebsd_committer 2014-08-29 22:13:38 UTC
back to pool
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2014-11-23 05:18:01 UTC
over to maintainers.
Comment 4 commit-hook freebsd_committer 2016-01-13 10:36:36 UTC
A commit references this bug:

Author: girgen
Date: Wed Jan 13 10:36:23 UTC 2016
New revision: 406034
URL: https://svnweb.freebsd.org/changeset/ports/406034

Log:
  Some binaries where moved from contrib to base in 9.5, like pgbench and
  pg_upgrade. Other where added in 9.5, but the port failed to install them.
  Make sure they are properly installed by the correct port (-client or -server) [1]

  Remove unused and hence confusing OSSP_UUID parameters from Makefile [2]

  Add options to allow user to be set for the backup script in periodic.
  Add this option only to 9.5 for now. It will be updated to other servers at
  next regular patch release. [3]

  The path to perl in hard coded into pgxs/src/Makefile.global which is
  then installed. Hence, we must depend on perl when that file is installed.

  Noticed by:	Paul Guyot [1]
  PR:		192387 [2]
  PR:		172110 [3]
  PR:		206046 [4]

Changes:
  head/databases/postgresql90-client/Makefile
  head/databases/postgresql91-client/Makefile
  head/databases/postgresql91-server/Makefile
  head/databases/postgresql92-client/Makefile
  head/databases/postgresql92-server/Makefile
  head/databases/postgresql93-client/Makefile
  head/databases/postgresql94-client/Makefile
  head/databases/postgresql95-client/Makefile
  head/databases/postgresql95-contrib/Makefile
  head/databases/postgresql95-server/Makefile
  head/databases/postgresql95-server/files/502.pgsql.in
  head/databases/postgresql95-server/pkg-plist-client
  head/databases/postgresql95-server/pkg-plist-server
Comment 5 Palle Girgensohn freebsd_committer 2016-01-13 10:38:57 UTC
Adding a working variant of the suggested patch to 9.5 now, and will backpatch at next patch release.
Comment 6 Palle Girgensohn freebsd_committer 2017-05-11 14:36:03 UTC
Fixed some time ago. Closing the PR.